 <div class="side-nav text-nowrap">
    <div *ngFor="let menu of Menus, let i = index">
        <a [routerLink]="menu.menuUrl" routerLinkActive="active"  mat-button class="nav-link">
            <mat-icon class="mr-3">{{menu.icon}}</mat-icon>{{menu.menuName}}
            <div class="has-submenu" *ngIf="menu.menuList.length > 0"><mat-icon>arrow_drop_down</mat-icon></div>
        </a>
        <div class="collapse" [id]="menu.menuUrl" *ngIf="menu.menuList.length > 0">
            <a  routerLink="{{menu.menuUrl+'/'+subMenu.href}}" routerLinkActive="active" mat-button class="nav-link" *ngFor="let subMenu of menu.menuList, let i = index">
                <small class="text-black-50 mr-2">{{ i + 1 }}/{{ menu.menuList.length }}</small> {{ subMenu.name }}
            </a>
        </div>
    </div>
</div>